The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

2.6.9 kernel compatible with cPanel?

Discussion in 'General Discussion' started by Mike2Own, Dec 4, 2004.

  1. Mike2Own

    Mike2Own Active Member

    Joined:
    Apr 1, 2004
    Messages:
    29
    Likes Received:
    0
    Trophy Points:
    1
    We are having iowait issues with RHEL 3 and the 2.4x kernels, I'm wondering if anyone knows if the 2.6.9 kernel (supposedly has the iowait issues fixed) is okay to use with cPanel? Has anyone done this already? Thanks!
     
  2. haze

    haze Well-Known Member

    Joined:
    Dec 21, 2001
    Messages:
    1,550
    Likes Received:
    3
    Trophy Points:
    38
    You will have issues with the 2.4 kernel branch as RHEL3 was developed with parts of 2.6 backported into the kernel, thus, running a 2.4 kernel may increase the likelyhood of issues arrising. I have had no negative results with 2.6 branch and cpanel and CentOS ( rebuild / clone of RHEL ), and i know quite a few people using it with great success.

    That said, there may already be an answer out there for your iowait issue. It might just be as simple as a few tweaks to the configuration of your system.
     
  3. chirpy

    chirpy Well-Known Member

    Joined:
    Jun 15, 2002
    Messages:
    13,475
    Likes Received:
    20
    Trophy Points:
    38
    Location:
    Go on, have a guess
    Yep, a lot of people do use 2.6.* on RHE without issues (other than the fact that you have to install it rather than relaying on RHE via up2date).

    However, the IOWAIT issues are meant to have been resolved in the latest RHE kernels - are you running it? You can also disable much of the issues caused in the earlier kernels by using the following on a running system (and added to /etc/rc.d/rc.local):

    echo 100 > /proc/sys/vm/inactive_clean_percent
    echo 2 10 20 > /proc/sys/vm/pagecache
     
  4. kris1351

    kris1351 Well-Known Member

    Joined:
    Apr 18, 2003
    Messages:
    963
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    Lewisville, Tx
    We have 2.6.9 on most of our RHE servers and there are no issues with it.
     
  5. Mike2Own

    Mike2Own Active Member

    Joined:
    Apr 1, 2004
    Messages:
    29
    Likes Received:
    0
    Trophy Points:
    1
    yeah, we're running 2.4.21-20.0.1 right now and the IOWAIT/3ware problem is still there. is 2.4.28 the latest?
     
  6. Mike2Own

    Mike2Own Active Member

    Joined:
    Apr 1, 2004
    Messages:
    29
    Likes Received:
    0
    Trophy Points:
    1
    that is good to hear, did you notice a performance increase when you changed to the 2.6.9 kernel?
     
  7. Sinewy

    Sinewy Well-Known Member

    Joined:
    May 15, 2004
    Messages:
    367
    Likes Received:
    1
    Trophy Points:
    18
    Location:
    Sydney, Australia
    cPanel Access Level:
    DataCenter Provider
    i shifted a few boxes to the 2.6.9 kernel recently and it's been much faster/better since.
     
  8. winhosting

    winhosting Member

    Joined:
    May 29, 2004
    Messages:
    9
    Likes Received:
    0
    Trophy Points:
    1
    Location:
    Ohio
    Is it possible for any one to post some instructions on how to upgrade the kernel from 2.4.2 to 2.6.9?

    thanks
     
  9. eth00

    eth00 Well-Known Member
    PartnerNOC

    Joined:
    Mar 30, 2003
    Messages:
    723
    Likes Received:
    1
    Trophy Points:
    18
    Location:
    NC
    cPanel Access Level:
    Root Administrator
    http://cpanelplanet.com/showthread.php?t=13

    That is for 2.6.7 but just get the 2.6.9 source and it should work fine.
     
  10. kris1351

    kris1351 Well-Known Member

    Joined:
    Apr 18, 2003
    Messages:
    963
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    Lewisville, Tx
    Backups are much faster on the 2.6.9 kernel it seems.
     
Loading...

Share This Page